void s_malloc_test(void);
void *s_malloc(int mid, int len, char *src, int line);
void s_free(void *x, char *src, int line);
void *s_realloc(void *old, int n, char *src, int line);
void *s_calloc(int mid, int num, int size, char *src, int line);
int s_dump(char *fname);
void s_testall();
void s_trim();
int s_malloc_set_smalloc(void);

